// Use this options as default.
const userDefaults = {
    fs: {
        delims: {
            elem: '__',
            mod: '_'
        },
        scheme: 'flat'
    }
}

// Options to create preset with.
const options = {
    preset: 'legacy', // Redefine default preset. If not specified 'origin' preset will be used as default.
    delims: {
        mod: { val: '='}
    },
    fs: {
        delims: {
            mod: { val: '='}
        }
    }
}

const customPreset = require('@bem/sdk.naming.presets/create')(options, userDefaults);;


const stringify = require('@bem/sdk.naming.entity.stringify')(customPreset);
stringify({ block: 'my-block',
            elem: 'my-element',
            mod: { name: 'my-modifier', val: 'some-value'}});;

const parse = require('@bem/sdk.naming.entity.parse')(customPreset);
parse('my-block_my-modifier=some-value');;